
# Create your models here.
#from __future__ import unicode_literals

# Create your models here.
from django.db import models

class ProxyServer(models.Model):
  id = models.IntegerField(db_column='id',primary_key=True)
  nome = models.CharField(db_column='nome',max_length=30) #nome del server
  sub = models.CharField(db_column='sub',max_length=10) #non me lo ricordo!
  server = models.CharField(db_column='server',max_length=15) #ip del server
  http = models.IntegerField(db_column='http') # porta http (questa porta insieme a https deve essere raggiungibile dal proxy)
  https = models.IntegerField(db_column='https') # porta https
  enabled = models.BooleanField(db_column='enabled')
  path = models.CharField(db_column='path',max_length=64) # boh, non mi ricordo!
  httpconfig = models.TextField(db_column='httpconfig') # usato per indicare dove scaricare le configurazioni
  httpsconfig = models.TextField(db_column='httpsconfig')

  class Meta:
    db_table = 'proxy_server'
    managed = False
